Bug 1118556 - [RFE][neutron]: Big Switch - Cleanup modules
Summary: [RFE][neutron]: Big Switch - Cleanup modules
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: lpeer
QA Contact: Ofer Blaut
URL: https://blueprints.launchpad.net/neut...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 04:05 UTC by RHOS Integration
Modified: 2016-04-26 16:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 10:35:40 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-07-11 04:05:32 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/bsn-module-cleanup.

Description:

The Big Switch plugin and ML2 have shared code that lives inside of the Big Switch plugin file. This creates strange side effects when importing the plugin from the ML2 agent when database modules are loaded. The Big Switch modules need to be separated out better to prevent these cases and to cleanly express what is shared between the ML2 driver and the plugin.

Specification URL (additional information):

None

Comment 1 lpeer 2015-03-19 10:35:40 UTC
This RFE was automatically opened to track status of upstream development.
At this point we see no reason to keep track of this in Red Hat bugzilla, thus closing it.


Note You need to log in before you can comment on or make changes to this bug.